Ubuntu

Update kismet to the latest version (new upstream release: Kismet-2011-03-R2)

Reported by Nick Andrik on 2009-08-02
148
This bug affects 28 people
Affects Status Importance Assigned to Milestone
Kismet
Invalid
Undecided
Unassigned
kismet (Debian)
Fix Released
Unknown
kismet (Ubuntu)
Wishlist
Nick Andrik
Nominated for Lucid by Dominic Chen

Bug Description

Kismet is outdated in Ubuntu repositories, the newest version is 2008-05-R1-4.3build2,
while a newer upstream version is available, Kismet-2011-03-R2.

The new version can be downloaded from the official site (includes Ubuntu package repository): http://www.kismetwireless.net/download.shtml

Binary package hint: kismet

Changed in kismet (Debian):
status: Unknown → New
Andika Triwidada (andika) wrote :

I need this newer version which support my wifi
06:00.0 Network controller: Intel Corporation PRO/Wireless 5100 AGN [Shiloh] Network Connection

Thanks.

Artur Rona (ari-tczew) on 2009-08-20
tags: added: upgrade
removed: update
Przemysław Kulczycki (azrael) wrote :

Any news on this bug? I've managed to compile Kismet 2009-06-R1 on Karmic, but the client fails to connect to kismet server.

Kismet-2009-11-R1 is now available.

summary: - Update kismet to 2009-06-R1 version
+ Update kismet to 2009-11-R1 version
description: updated
Changed in kismet (Ubuntu):
status: New → Confirmed
Przemysław Kulczycki (azrael) wrote :

Kismet-2010-01-R1 is now available.

summary: - Update kismet to 2009-11-R1 version
+ Update kismet to latest version
description: updated

Kismet-2010-01-R1 compiles and works on 10.04.

John Sauter (john-sauter) wrote :

I can confirm that Kismet 2010-01-R1 compiles and works on 10.04. In addition, Kismet 2010-01-R1 works with GPSD 2.92, which is the version in Lucid, whereas Kismet 2008-05-R1 does not.

jedioetzi (jedioetzi) wrote :

 is 2010-01-R1 available in a repo ?

ilf (ilf) wrote :

And even newer: 2010-07-R1 from Tue Jul 13 2010:

Re-architected and bug-fixed IPC subsystem, hidedata option to prevent any processing of data frames, general internal bugfixes and improvements, ruby API and examples, zero-priv drone-only options.

http://www.kismetwireless.net/download.shtml

pschonmann (pschonmann) wrote :

Kismet-2011-01-R1 released, at the download page. Sporting a ruby network API example, several ruby-based tools for client reference, per-network and per-client per-source signal levels, GPS logging in PPI using the new cross-vendor standard, client fixes, mac80211 fixes, proper handling of 802.11d multi-range values, WPA migration mode detection, and packaging helper scripts, it's time to upgrade!

god (humper) wrote :

The packages are already there - the only thing which might be corrected is placing configuration into /etc instead of /usr/etc.
Also users should be notified about need to update conf. files format as well.

Changed in linuxmint:
status: New → Confirmed
Jim Tarvid (tarvid) wrote :

http://www.kismetwireless.net/download.shtml

I am using the 32 bit versions on Natty. I can confirm that the current version in the repository will not work with gpsd. There may be other gpsd clients in the same boat.

Bob Bib (bobbib) wrote :

Latest Kismet release is Kismet-2011-03-R2.

http://www.kismetwireless.net/download.shtml

Bob Bib (bobbib) on 2011-10-09
tags: added: upgrade-software-version
removed: upgrade
description: updated
Changed in kismet (Ubuntu):
importance: Undecided → Wishlist
Bob Bib (bobbib) on 2011-12-16
description: updated
summary: - Update kismet to latest version
+ Update kismet to the latest version (new upstream release:
+ Kismet-2011-03-R2)
description: updated
Jim Tarvid (tarvid) wrote :

With no action in 2 1/2 years and Precise still containing the old package, I propose the package be removed from the distribution. The version from kismetwireless works well, there is no point in offering one that really doesn't work at all.

Nick Andrik (andrikos) wrote :

Can't we just try to sponsor the existing package for debian?

Bob Bib (bobbib) wrote :

tarvid, I agree with you: this old version package is useless now; if nobody wants to upgrade it, it should be removed to keep repositories clean.

---

Unexpectedly, Aircrack-ng was removed from Ubuntu 12.04 (#949531).

tags: added: lucid maverick natty needs-packaging oneiric precise
description: updated
Nick Andrik (andrikos) wrote :

I have created an updated package on the debian mentros site:
http://mentors.debian.net/package/kismet

Although I have sent an email in the debian-mentors list twice I didn't mange to find a sponsor.
Would it be possible to update the package in ubuntu until it gets accepted in debian?

Changed in kismet (Ubuntu):
assignee: nobody → Nick Andrik (andrikos)
Bob Bib (bobbib) on 2012-06-16
tags: added: quantal
Bob Bib (bobbib) on 2012-12-19
description: updated
tags: added: raring
Changed in kismet (Debian):
status: New → Fix Committed
Logan Rosen (logan) on 2013-02-12
tags: removed: needs-packaging
Changed in kismet (Debian):
status: Fix Committed → Fix Released
Nick Andrik (andrikos) on 2013-02-18
affects: linuxmint → kismetwireless
Nick Andrik (andrikos) on 2013-02-18
Changed in kismetwireless:
status: Confirmed → Invalid
Logan Rosen (logan) wrote :

I just synced the latest version of kismet from Debian for Bug #1134668. It should be available in the raring repositories soon.

Changed in kismet (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.